INSQUE(3)

NAME
insque, remque - insert/remove element from a queue

SYNOPSIS

    struct qelem {
    	struct	qelem *q_forw;
    	struct	qelem *q_back;
    	char	q_data[];
    };

void
insque(struct qelem *elem, struct qelem *pred);
void
remque(struct qelem *elem);

DESCRIPTION
The insque and remque functions are considered obsolete.
They are available from the compatibility library, libcompat.

The insque() and remque() functions manipulate queues built from doubly linked lists. Each element in the queue must be in the form of “struct qelem”. The function insque() inserts elem in a queue immediately after pred; remque() removes an entry elem from a queue.

SEE ALSO
pp. 228-235.

HISTORY
The insque() and remque() functions appeared in 4.2BSD.